Package org.eclipse.net4j.util.ui.widgets

# Enum Class ImageButton.SelectionMode

java.lang.Object
java.lang.Enum<ImageButton.SelectionMode>
org.eclipse.net4j.util.ui.widgets.ImageButton.SelectionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageButton.SelectionMode>`, `java.lang.constant.Constable`

Enclosing class:
  `ImageButton`

public static enum ImageButton.SelectionMode extends Enum<ImageButton.SelectionMode>

Since:
  3.19
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DoubleClick`
`MouseDown`
`MouseUp`

## Method Summary

Modifier and Type
Method
Description
`static ImageButton.SelectionMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ImageButton.SelectionMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MouseUp

public static final ImageButton.SelectionMode MouseUp

### MouseDown

public static final ImageButton.SelectionMode MouseDown

### DoubleClick

public static final ImageButton.SelectionMode DoubleClick

## Method Details

### values

public static ImageButton.SelectionMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ImageButton.SelectionMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null